<?php

$classic_gaming_first_color = get_theme_mod('classic_gaming_first_color');
$classic_gaming_color_scheme_css = '';

/*------------------ Global First Color -----------*/

if ($classic_gaming_first_color) {
  $classic_gaming_color_scheme_css .= ':root {';
  $classic_gaming_color_scheme_css .= '--first-theme-color: ' . esc_attr($classic_gaming_first_color) . ' !important;';
  $classic_gaming_color_scheme_css .= '} ';
}

// Sticky Header
$classic_gaming_resp_stickyheader = get_theme_mod( 'classic_gaming_sticky_header',false);
if($classic_gaming_resp_stickyheader != true){
    $classic_gaming_color_scheme_css .='.header-fixed{';
        $classic_gaming_color_scheme_css .='position:static;';
    $classic_gaming_color_scheme_css .='} ';
}
if($classic_gaming_resp_stickyheader == true){
    $classic_gaming_color_scheme_css .='@media screen and (max-width:575px) {';
    $classic_gaming_color_scheme_css .='.header-fixed{';
        $classic_gaming_color_scheme_css .='position:fixed;';
    $classic_gaming_color_scheme_css .='} }';
}else if($classic_gaming_resp_stickyheader == false){
    $classic_gaming_color_scheme_css .='@media screen and (max-width:575px){';
    $classic_gaming_color_scheme_css .='.header-fixed{';
        $classic_gaming_color_scheme_css .='position:static;';
    $classic_gaming_color_scheme_css .='} }';
}

//---------------------------------Logo-Max-height--------- 
  $classic_gaming_logo_width = get_theme_mod('classic_gaming_logo_width');

  if($classic_gaming_logo_width != false){

    $classic_gaming_color_scheme_css .='.classic-gaming-logo img{';

      $classic_gaming_color_scheme_css .='width: '.esc_html($classic_gaming_logo_width).'px;';

    $classic_gaming_color_scheme_css .='}';
  }


$classic_gaming_banner_bg_img_color = get_theme_mod('classic_gaming_banner_bg_img_color');
    if($classic_gaming_banner_bg_img_color != false){
    $classic_gaming_color_scheme_css .='#banner-cat .wave-img svg path{';
        $classic_gaming_color_scheme_css .='fill: '.esc_attr($classic_gaming_banner_bg_img_color).';';
    $classic_gaming_color_scheme_css .='}';
}  

$classic_gaming_banner_bg_color = get_theme_mod('classic_gaming_banner_bg_color');
    if($classic_gaming_banner_bg_color != false){
    $classic_gaming_color_scheme_css .='#banner-cat{';
        $classic_gaming_color_scheme_css .='background-color: '.esc_attr($classic_gaming_banner_bg_color).';';
    $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

$classic_gaming_woo_product_img_border_radius = get_theme_mod('classic_gaming_woo_product_img_border_radius');
  if($classic_gaming_woo_product_img_border_radius != false){
    $classic_gaming_color_scheme_css .='.woocommerce ul.products li.product a img{';
    $classic_gaming_color_scheme_css .='border-radius: '.esc_attr($classic_gaming_woo_product_img_border_radius).'px;';
    $classic_gaming_color_scheme_css .='}';
}  

/*--------------------------- Scroll to top positions -------------------*/

$classic_gaming_scroll_position = get_theme_mod( 'classic_gaming_scroll_position','Right');
if($classic_gaming_scroll_position == 'Right'){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .='right: 20px;';
    $classic_gaming_color_scheme_css .='}';
}else if($classic_gaming_scroll_position == 'Left'){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .='left: 20px;';
    $classic_gaming_color_scheme_css .='}';
}else if($classic_gaming_scroll_position == 'Center'){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .='right: 50%;left: 50%;';
    $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Footer background image -------------------*/

$classic_gaming_footer_bg_image = get_theme_mod('classic_gaming_footer_bg_image');
if($classic_gaming_footer_bg_image != false){
    $classic_gaming_color_scheme_css .='#footer{';
        $classic_gaming_color_scheme_css .='background: url('.esc_attr($classic_gaming_footer_bg_image).');';
        $classic_gaming_color_scheme_css .= 'background-size: cover;';  
    $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Footer image position -------------------*/

$classic_gaming_footer_img_position = get_theme_mod('classic_gaming_footer_img_position','center center');
if($classic_gaming_footer_img_position != false){
    $classic_gaming_color_scheme_css .='#footer{';
        $classic_gaming_color_scheme_css .='background-position: '.esc_attr($classic_gaming_footer_img_position).';';
    $classic_gaming_color_scheme_css .='}';
}	

/*--------------------------- Woocommerce Product Sale Position -------------------*/    

$classic_gaming_product_sale_position = get_theme_mod( 'classic_gaming_product_sale_position','Left');
if($classic_gaming_product_sale_position == 'Right'){
    $classic_gaming_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
        $classic_gaming_color_scheme_css .='left:auto !important; right:.5em !important;';
    $classic_gaming_color_scheme_css .='}';
}else if($classic_gaming_product_sale_position == 'Left'){
    $classic_gaming_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
        $classic_gaming_color_scheme_css .='right:auto !important; left:.5em !important;';
    $classic_gaming_color_scheme_css .='}';
}        

/*--------------------------- Shop page pagination -------------------*/

$classic_gaming_wooproducts_nav = get_theme_mod('classic_gaming_wooproducts_nav', 'Yes');
if($classic_gaming_wooproducts_nav == 'No'){
  $classic_gaming_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
    $classic_gaming_color_scheme_css .='display: none;';
  $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Related Product -------------------*/

$classic_gaming_related_product_enable = get_theme_mod('classic_gaming_related_product_enable',true);
if($classic_gaming_related_product_enable == false){
  $classic_gaming_color_scheme_css .='.related.products{';
    $classic_gaming_color_scheme_css .='display: none;';
  $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Scroll to Top Button Shape -------------------*/

$classic_gaming_scroll_top_shape = get_theme_mod('classic_gaming_scroll_top_shape', 'circle');
if($classic_gaming_scroll_top_shape == 'box' ){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .=' border-radius: 0%';
    $classic_gaming_color_scheme_css .='}';
}elseif($classic_gaming_scroll_top_shape == 'curved' ){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .=' border-radius: 20%';
    $classic_gaming_color_scheme_css .='}';
}elseif($classic_gaming_scroll_top_shape == 'circle' ){
    $classic_gaming_color_scheme_css .='#button{';
        $classic_gaming_color_scheme_css .=' border-radius: 50%;';
    $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Menu Typography -------------------*/

$classic_gaming_theme_lay = get_theme_mod( 'classic_gaming_menu_text_transform','Uppercase');
if($classic_gaming_theme_lay == 'Uppercase'){
    $classic_gaming_color_scheme_css .='.main-nav a{';
        $classic_gaming_color_scheme_css .='text-transform: uppercase;';
    $classic_gaming_color_scheme_css .='}';
}else if($classic_gaming_theme_lay == 'Lowercase'){
    $classic_gaming_color_scheme_css .='.main-nav a{';
        $classic_gaming_color_scheme_css .='text-transform: lowercase;';
    $classic_gaming_color_scheme_css .='}';
}
else if($classic_gaming_theme_lay == 'Capitalize'){
    $classic_gaming_color_scheme_css .='.main-nav a{';
        $classic_gaming_color_scheme_css .='text-transform: capitalize;';
    $classic_gaming_color_scheme_css .='}';
}

/*--------------------------- Post Layout -------------------*/

$classic_gaming_blog_layouts = get_theme_mod('classic_gaming_blog_layout_option_setting', 'Left');
if ($classic_gaming_blog_layouts == 'Left') {
    $classic_gaming_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_gaming_color_scheme_css .= 'text-align:left;';
    $classic_gaming_color_scheme_css .= '}';
} elseif ($classic_gaming_blog_layouts == 'Center') {
    $classic_gaming_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_gaming_color_scheme_css .= 'text-align:center;';
    $classic_gaming_color_scheme_css .= '}';
} elseif ($classic_gaming_blog_layouts == 'Right') {
    $classic_gaming_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_gaming_color_scheme_css .= 'text-align:right;';
    $classic_gaming_color_scheme_css .= '}';
}